%global hghash a5ee0244239d
%global apiver 2.0

Name:		sdformat
Version:	2.0.0
Release:	1%{?dist}
Summary:	The Simulation Description Format

License:	ASL 2.0
URL:		http://gazebosim.org/sdf.html
Source0:	https://bitbucket.org/osrf/%{name}/get/%{name}_%{version}.tar.bz2
# Unbundle urdfdom and urdfdom-headers from sdformat, build against system versions.
# Work progressing upstream
Patch0:		sdformat-2.0.0-urdfdom.patch
# Automatically discovers and uses system gtest if available.
# Not yet submitted upstream
Patch1:		sdformat-1.4.10-gtest.patch

BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	doxygen-latex
BuildRequires:	graphviz
BuildRequires:	gtest-devel
BuildRequires:	texlive-refman
BuildRequires:	tinyxml-devel
BuildRequires:	urdfdom-devel

%description
The Simulation Description Format (SDF) is an XML file format used to 
describe all the elements in a software simulation environment. Originally
part of the Gazebo 3D robotic simulator, %{name} is a C++ library for reading 
and writing files in the sdf format.

%package devel
Summary:	Development files and libraries for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}
# For libdir/cmake directory
Requires:	cmake

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:	Documentation for %{name}

%description doc
The %{name}-doc package contains development documentation for
%{name}.

%prep
%setup -q -n osrf-%{name}-%{hghash}
%patch0 -p0 -b .urdfdom
%patch1 -p0 -b .gtest
# Remove bundled urdf components
rm -rf src/urdf
rm -rf test/gtest

%build
mkdir build; pushd build
%cmake .. -DCMAKE_BUILD_TYPE=None -DCMAKE_CXX_FLAGS_NONE="%{optflags}" -DLIB_INSTALL_DIR:STRING=%{_lib} -DUSE_EXTERNAL_URDF=ON
popd
make -C build %{?_smp_mflags}
make -C build doc

%install
make -C build install DESTDIR=%{buildroot}

%check
make -C build test || exit 0

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING LICENSE README
%exclude %{_datadir}/%{name}/cmake
%{_datadir}/%{name}
%{_libdir}/*.so.*

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}-%{apiver}
%{_libdir}/cmake/%{name}

%files doc
%doc build/doxygen/html

%changelog
* Tue Apr 15 2014 Rich Mattes <richmattes@gmail.com> - 2.0.0-1
- Update to release 2.0

* Sun Feb 09 2014 Rich Mattes <richmattes@gmail.com> - 1.4.11-3
- Rebuild for console-bridge 0.2.5

* Sun Jan 26 2014 Rich Mattes <richmattes@gmail.com> - 1.4.11-2
- Declare LIB_INSTALL_DIR relative to CMAKE_INSTALL_PREFIX (rhbz#1057939)

* Wed Nov 27 2013 Rich Mattes <richmattes@gmail.com> - 1.4.11-1
- Update to release 1.4.11

* Tue Nov 19 2013 Rich Mattes <richmattes@gmail.com> - 1.4.10-2
- Moved documentation into a separate subpackage
- Removed bundled gtest

* Sat Nov 16 2013 Rich Mattes <richmattes@gmail.com> - 1.4.10-1
- Update to release 1.4.10
- Add BuildRequres for tinyxml

* Wed Oct 09 2013 Rich Mattes <richmattes@gmail.com> - 1.4.8-2
- Unbundle urdfdom and urdfdom-headers

* Sun Oct 06 2013 Rich Mattes <richmattes@gmail.com> - 1.4.8-1
- Update to release 1.4.8

* Tue Aug 20 2013 Rich Mattes <richmattes@gmail.com> - 1.4.5-2
- Updated description field

* Sat Aug 17 2013 Rich Mattes <richmattes@gmail.com> - 1.4.5-1
- Initial package
